## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1

%global git_commit d80839cf37d860c8aa9a0503fe463278f26cd5e2
%global k8s_major 1
%global k8s_minor 33

# https://github.com/helm/helm
%global goipath         helm.sh/helm/v3
%global forgeurl        https://github.com/helm/helm
Version:                3.18.4

%gometa -L -f

%global common_description %{expand:
Helm is a tool for managing Charts. Charts are packages of pre-configured
Kubernetes resources.

Use Helm to:
- Find and use popular software packaged as Helm Charts to run in Kubernetes
- Share your own applications as Helm Charts
- Create reproducible builds of your Kubernetes applications
- Intelligently manage your Kubernetes manifest files
- Manage releases of Helm packages.}

Name:           helm
Release:        %autorelease
Summary:        The Kubernetes Package Manager

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT AND MPL-2.0
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

Obsoletes:      golang-helm-3 < 3.11.1-6
Obsoletes:      golang-helm-3-devel < 3.11.1-6

BuildRequires:  go-vendor-tools

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
export GO_LDFLAGS="-X helm.sh/helm/v3/internal/version.version=%{version} \
                -X helm.sh/helm/v3/internal/version.gitCommit=%{git_commit} \
                -X helm.sh/helm/v3/internal/version.gitTreeState=clean \
                -X helm.sh/helm/v3/pkg/lint/rules.k8sVersionMajor=%{k8s_major} \
                -X helm.sh/helm/v3/pkg/lint/rules.k8sVersionMinor=%{k8s_minor} \
                -X helm.sh/helm/v3/pkg/chartutil.k8sVersionMajor=%{k8s_major} \
                -X helm.sh/helm/v3/pkg/chartutil.k8sVersionMinor=%{k8s_minor}"
%gobuild -o %{gobuilddir}/bin/%{name} %{goipath}/cmd/%{name}

%{gobuilddir}/bin/%{name} completion bash > %{name}.bash
%{gobuilddir}/bin/%{name} completion fish > %{name}.fish
%{gobuilddir}/bin/%{name} completion zsh  > %{name}.zsh

%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -Dpm 0644 %{name}.bash %{buildroot}%{bash_completions_dir}/%{name}
install -Dpm 0644 %{name}.fish %{buildroot}%{fish_completions_dir}/%{name}.fish
install -Dpm 0644 %{name}.zsh  %{buildroot}%{zsh_completions_dir}/_%{name}


%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
for test in "TestRenderWithDNS" "TestVCSInstallerNonExistentVersion" "TestVCSInstallerUpdate" \
            "TestVCSInstaller" "TestInsecureTLSRegistryClientTestSuite" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc ADOPTERS.md CONTRIBUTING.md README.md SECURITY.md code-of-conduct.md
%{_bindir}/helm
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
## START: Generated by rpmautospec
* Tue Jul 08 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.18.4-1
- Update to 3.18.4 - Closes rhbz#2369781

* Thu May 29 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.18.1-1
- Update to 3.18.1 - Closes rhbz#2369097

* Mon May 26 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.18.0-1
- Update to 3.18.0 - Closes rhbz#2367369

* Tue May 13 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.17.3-1
- Update to 3.17.3 - Closes rhbz#2345445

* Sun Mar 23 2025 Maxwell G <maxwell@gtmx.me> - 3.17.0-2
- Add missing licensing files not detected by trivy

* Thu Jan 23 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.17.0-1
- Update to 3.17.0 - Closes rhbz#2338355 rhbz#2341616

* Mon Jan 20 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.16.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 16 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.16.4-1
- Update to 3.16.4 - Closes rhbz#2332651

* Mon Nov 18 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.16.3-1
- Update to 3.16.3 - Closes rhbz#2326156

* Sat Oct 12 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.16.2-1
- Update to 3.16.2 - Closes rhbz#2318273

* Sat Sep 14 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.16.1-1
- Update to 3.16.1 - Closes rhbz#2311837

* Fri Aug 16 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.15.4-1
- Update to 3.15.4 - Closes rhbz#2305288

* Sat Jul 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.15.3-2
- Improve package description

* Sat Jul 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.15.3-1
- Initial package - Closes rhbz#2300201
## END: Generated by rpmautospec
